/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.location;

import com.yiring.common.domain.BasicEntity;
import java.io.Serial;
import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import lombok.*;
import lombok.experimental.FieldDefaults;
import lombok.experimental.FieldNameConstants;
import org.hibernate.annotations.Comment;

/**
 * 围栏规则
 * TODO: 规则待梳理
 *
 * @author Jim
 * @version 0.1
 * 2022/4/7 18:25
 */

@Getter
@Setter
@ToString
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@FieldDefaults(level = AccessLevel.PRIVATE)
@Entity
@Table(name = "BS_LOCATION_FENCE_RULE")
@Comment("围栏规则")
public class LocationFenceRule extends BasicEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = -6683465582430417205L;

    @Comment("围栏")
    @ManyToOne
    @JoinColumn(name = "fence_id")
    LocationFence fence;
    // TODO
    // 字段补充
    // 关联表补充（报警规则）
    // 关联表配置值补充

}
